Introduction

Wonderware Historian
Introduction

The UDG1000 Wonderware Historian (InSQL) Driver is used to collect historical data from Wonderware historian database.

The query looks something like this:

SELECT DateTime, Value FROM History WHERE TagName = ‘ReactLevel’ AND
wwRetrievalMode = ‘Cyclic’ AND
wwCycleCount = 60 AND
DateTime >= ‘2014-02-02 00:00:00’ AND
DateTime <= ‘2014-02-02 01:00:00’

Cyclic retrieval is the retrieval of stored data for the given time period based on a specified cyclic retrieval resolution, regardless of whether or not the value of the tag(s) has changed. Cyclic retrieval produces a virtual rowset, which may or may not correspond to the actual data rows stored on the Wonderware Historian. One row is returned for each “cycle boundary.” This is specified in the Cycle Count and represents 1 minute. This query is designed to return the number of rows even spaced between the start and end times, each row equal to one minute.

If no data value is actually stored at a cycle boundary, the last value before the boundary is returned.

The green dots represent the values returned at the points in time T. Tc0 = P2, Tc1 = P7, and Tc2 = P11.

A cycle is determined by the Rate at which the tag was setup in Wonderware. The particular tag we used in our example is set to 30 Seconds:

The UDG1000 Wonderware Historian logger captures a datapoint every minute, so the last value will be within the last 30 seconds. If we select a rate of 1 second, all values within that minute are dropped except for the last second. On the other hand, if we select a 1 Minute rate, the last value returned will be within the last 59 seconds – depending on when UDG1000 starts its minute data retrieval and when Wonderware started its data collection.

The Cycle Count is the number of minutes between the start and end time. In our example we show a cycle count of 60 which coincide to the start and end time – midnight to 1 AM on Feb 2, 2014.

Copyright© 2013 Hach.com, All rights reserved.


Pre-requisites

Wonderware Historian
Pre-requisites

1. UDG1000 Software is installed on PC with an Internet connection.

2. Wonderware Historian setup and collecting data.

Copyright© 2013 Hach.com, All rights reserved.


Setup

Wonderware Historian
Setup

In order to setup this UDG 1000 driver, you will need to know the connection information. One way is through a Data Link Properties file. Create a text file and rename it from .txt to .udl will enable this capability. Double click the file to open it and click the Provider tab, and select an SQL Server Native Client:

Next, click the Connection tab and fill in the information to connect to the Wonderware Historian database, typically called ‘Runtime’, and click Test Connection to verify the information is correct:

Click the OK button on both. You can right click on a .udl file and open it in edit mode to get the proper value for the Provider if you are not sure, but the rest of the values are as you typed them in, in order to configure the UDG1000 Wonderware Historian data collector:

Click Test Connection button to verify connection and then click Save.

Copyright© 2013 Hach.com, All rights reserved.